import { type ListingStatus } from '@prisma/client';
import { type DomainEvent } from '@modules/shared';

export class ListingSoldEvent implements DomainEvent {
  readonly eventName = 'listing.sold';
  readonly occurredAt = new Date();

  constructor(
    public readonly aggregateId: string,
    public readonly propertyId: string,
    public readonly finalStatus: ListingStatus,
  ) {}
}
